@web-font-path: "roboto-debian.css";
v2.2.0 (RP2040)
Loading...
Searching...
No Matches
aon_timer.h File Reference
`#include "pico.h"`
`#include <time.h>`
`#include "pico/util/datetime.h"`
`#include "hardware/regs/intctrl.h"`
Include dependency graph for aon_timer.h:

Go to the source code of this file.

## Typedefs

typedef void(* | aon_timer_alarm_handler_t) (void)

## Functions

void | aon_timer_start_with_timeofday (void)
| Start the AON timer running using the result from the gettimeofday() function as the current time.
bool | aon_timer_start (const struct timespec *ts)
| Start the AON timer running using the specified timespec as the current time.
bool | aon_timer_start_calendar (const struct tm *tm)
| Start the AON timer running using the specified calendar date/time as the current time.
void | aon_timer_stop (void)
| Stop the AON timer.
bool | aon_timer_set_time (const struct timespec *ts)
| Set the current time of the AON timer.
bool | aon_timer_set_time_calendar (const struct tm *tm)
| Set the current time of the AON timer to the given calendar date/time.
bool | aon_timer_get_time (struct timespec *ts)
| Get the current time of the AON timer.
bool | aon_timer_get_time_calendar (struct tm *tm)
| Get the current time of the AON timer as a calendar date/time.
void | aon_timer_get_resolution (struct timespec *ts)
| Get the resolution of the AON timer.
aon_timer_alarm_handler_t | aon_timer_enable_alarm (const struct timespec *ts, aon_timer_alarm_handler_t handler, bool wakeup_from_low_power)
| Enable an AON timer alarm for a specified time.
aon_timer_alarm_handler_t | aon_timer_enable_alarm_calendar (const struct tm *tm, aon_timer_alarm_handler_t handler, bool wakeup_from_low_power)
| Enable an AON timer alarm for a specified calendar date/time.
void | aon_timer_disable_alarm (void)
| Disable the currently enabled AON timer alarm if any.
bool | aon_timer_is_running (void)
| Check if the AON timer is running.
static uint | aon_timer_get_irq_num (void)